Skip to main content
GET
/
v1
/
transactions
Get transactions
curl --request GET \
  --url https://api.sfcompute.com/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "transaction",
      "transaction_time": 1640995200,
      "amount_cents": 25000,
      "details": {
        "object": "transaction_details",
        "type": "credit_grant",
        "memo": "Promotional credit"
      }
    }
  ],
  "has_more": false
}

Authorizations

Authorization
string
header
required

Create an API token using sf tokens create or at https://sfcompute.com/account/api-keys.

Query Parameters

limit
integer<u-int32>

Number of transactions to return (1-100, default 10)

Required range: x >= 0
after_time
integer<int64>

Filter for transactions after this UNIX timestamp (exclusive)

before_time
integer<int64>

Filter for transactions before this UNIX timestamp (exclusive)

starting_after_cursor
string

Cursor for forward pagination string with format 'txc_base62_encoded_id' used for paginating a query to GET /v1/transactions

Pattern: txc_[0-9a-zA-Z]+
ending_before_cursor
string

Cursor for backward pagination string with format 'txc_base62_encoded_id' used for paginating a query to GET /v1/transactions

Pattern: txc_[0-9a-zA-Z]+
sort
enum<string>
default:-transaction_time

Sort field. Prefix with - for descending order. Default: -transaction_time. Valid sort fields are:

Available options:
transaction_time,
-transaction_time,
amount,
-amount
transaction_type
enum<string>

Filter transactions by type (e.g. buy_order)

Available options:
stripe_card_payment,
manual_payment,
credit_grant,
refund,
buy_order,
sell_order

Response

Successfully retrieved transactions

object
enum<string>
required
Available options:
list
Example:

"list"

has_more
boolean
required
data
object[]
required